<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3">
    <head>
        <title>winsea</title>
        <script type="text/javascript">
          	function Save() {
              	document.getElementById("PageOfficeCtrl1").WebSave();
              	// 如果是模板文件另存   返回新存储文件的fileID
              	var fileId = document.getElementById("PageOfficeCtrl1").CustomSaveResult;
              	//存储新文件的文件ID
              	if(fileId != null && fileId != ""){
              		// 调用父页 保存新文件ID方法
              		window.external.CallParentFunc('setLocalFileId(\''+ fileId +'\');');
              	}
              	//子页面窗口调用父页面的refresh函数   页面回退 -1
              	window.external.CallParentFunc("refresh();");
              	//关闭POBrowser窗口
              	window.external.close();
        	}
          	
          	function SaveAs() {
          		// window.external.CallParentFunc("refresh();");
          		var fileId = "abc";
              	//存储新文件的文件ID（已经不保存ID，因为同时间不可关闭弹窗和空白页 所以 通过异步实现关闭页面 ）
           		window.external.CallParentFunc('setLocalFileId(\''+ fileId +'\');');
          		window.external.close();
	        }

            function PrintPreview() {
                document.getElementById("PageOfficeCtrl1").PrintPreview();
            }
            function ShowPrintDlg() {
                document.getElementById("PageOfficeCtrl1").ShowDialog(4); //打印对话框
            }

            function SetFullScreen() {
                document.getElementById("PageOfficeCtrl1").FullScreen = !document.getElementById("PageOfficeCtrl1").FullScreen;
            }
	        function AddSeal() {
				try{
	        		  document.getElementById("PageOfficeCtrl1").ZoomSeal.AddSeal();
				}catch (e){ };
	       	}
  		</script>
        
    </head>
    <body>
    	<div style="width:100%;height:800px;">
	        <div style="width:100%;height:1000px;" th:utext="${pageOffice}"></div>
    	</div>
    </body>
</html>
